%define upstream_name    Alien-autoconf
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build or find autoconf
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alien-autoconf-vendorlib.patch
Patch1:     Alien-autoconf-no-download.patch

BuildRequires: perl(Alien::Base) >= 0.38.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Alien::Build::Plugin::Build::Autoconf) >= 0.470.0
BuildRequires: perl(Alien::Build::Plugin::Build::MSYS) >= 0.840.0
BuildRequires: perl(Alien::m4)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(File::chdir)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Test::Alien)
BuildArch:  noarch

Requires:   autoconf
%description
This distribution provides autoconf so that it can be used by other Perl
distributions that are on CPAN. This is most commonly necessary when
creating other the Alien manpages that target a autoconf project that does
not ship with a 'configure' script. Ideally you should complain to the
upstream developers, but if you are not able to convince them then you have
this option. There are currently two such Aliens: the Alien::libuv manpage
and the Alien::Hunspell manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Alien/autoconf.pm
%perl_vendorlib/auto/share/dist/Alien-autoconf/

%changelog
* Tue Dec 29 2020 tv <tv> 0.170.0-1.mga8
+ Revision: 1664663
- update to 0.17

* Mon Feb 17 2020 tv <tv> 0.160.0-1.mga8
+ Revision: 1536857
- update to 0.16

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-4.mga8
+ Revision: 1503430
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-3.mga7
+ Revision: 1281569
- Mageia 7 Mass Rebuild

* Wed Jul 25 2018 wally <wally> 0.140.0-2.mga7
+ Revision: 1245234
- require autoconf

* Tue Jul 24 2018 wally <wally> 0.140.0-1.mga7
+ Revision: 1245124
- add patches to install noarch vendorlib and to skip dl'ing autoconf sources
- imported package perl-Alien-autoconf

